PSERVE3(1)

NAME
pserve3 - Python 3 Pyramid command

SYNOPSIS
pserve3 config_uri [start|stop|restart|status] [var=value]

DESCRIPTION
This command serves a web application that uses a PasteDeploy configuration file for the server and application. If start/stop/restart is given, then --daemon is implied, and it will start (normal operation), stop (--stopdaemon), or do both. Note: Daemonization features are deprecated. You can also include variable assignments like 'http_port=8080' and then use %(http_port)s in your config files.

OPTIONS

-h, --help
    show this help message and exit

-n NAME, --app-name=NAME
    Load the named application (default main)

-s SERVER_TYPE, --server=SERVER_TYPE
    Use the named server.

--server-name=SECTION_NAME
    Use the named server as defined in the configuration file (default: main)

--daemon
    Run in daemon (background) mode [DEPRECATED]

--pid-file=FILENAME
    Save PID to file (default to pyramid.pid if running in daemon mode) [DEPRECATED]

--log-file=LOG_FILE
    Save output to the given log file (redirects stdout)

--reload
    Use auto-restart file monitor

--reload-interval=RELOAD_INTERVAL
    Seconds between checking files (low number can cause significant CPU usage)

--monitor-restart
    Auto-restart server if it dies [DEPRECATED]

-b, --browser
    Open a web browser to server url

--status
    Show the status of the (presumably daemonized) server [DEPRECATED]

-v, --verbose
    Set verbose level (default 1)

-q, --quiet
    Suppress verbose output

--user=USERNAME
    Set the user (usually only possible when run as root)

--group=GROUP
    Set the group (usually only possible when run as root)

--stop-daemon
    Stop a daemonized server (given a PID file, or default pyramid.pid file) [DEPRECATED]